module.exports = {
  create: {
    requestBody: [
      '!name',
      'address',
      'field',
      'funds',
      'register_time',
      'web_site',
      'legal_person',
      'register_type',
      'person_number',
      'bk_number',
      'research_number',
      'advanced_number',
      'brief',
      'products',
      'requirement',
      'postal',
      'contact',
      'contact_tel',
      'email',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      '!name',
      'address',
      'field',
      'funds',
      'register_time',
      'web_site',
      'legal_person',
      'register_type',
      'person_number',
      'bk_number',
      'research_number',
      'advanced_number',
      'brief',
      'products',
      'requirement',
      'postal',
      'contact',
      'contact_tel',
      'email',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: 'name',
        field: 'field',
        register_time: 'register_time',
        register_type: 'register_type',
        contact_tel: 'contact_tel',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
